PFRUT(8)

Name

pfrut - Platform Firmware Runtime Update and Telemetry tool

SYNOPSIS

pfrut [Options]

DESCRIPTION

The PFRUT(Platform Firmware Runtime Update and Telemetry) kernel interface is designed to
interact with the platform firmware interface defined in the
Management Mode Firmware Runtime Update (https://uefi.org/sites/default/files/resources/Intel_MM_OS_Interface_Spec_Rev100.pdf)
pfrut is the tool to interact with the kernel interface.

OPTIONS

-h, --help
    Display helper information.

-l, --load
    Load the capsule file into the system. To be more specific, the capsule file will be copied to the communication buffer.

-s, --stage
    Stage the capsule image from communication buffer into Management Mode and perform authentication.

-a, --activate
    Activate a previous staged capsule image.

-u, --update
    Perform both stage and activation actions.

-q, --query
    Query the update capability.

-d, --setrev
    Set the revision ID of code injection/driver update.

-D, --setrevlog
    Set the revision ID of telemetry.

-G, --getloginfo
    Get telemetry log information and print it out.

-T, --type
    Set the telemetry log data type.

-L, --level
    Set the telemetry log level.

-R, --read
    Read all the telemetry data and print it out.

EXAMPLES

pfrut -G

log_level:4
log_type:0
log_revid:2
max_data_size:65536
chunk1_size:0
chunk2_size:1401
rollover_cnt:0
reset_cnt:4

pfru -q

code injection image type:794bf8b2-6e7b-454e-885f-3fb9bb185402
fw_version:0
code_rt_version:1
driver update image type:0e5f0b14-f849-7945-ad81-bc7b6d2bb245
drv_rt_version:0
drv_svn:0
platform id:39214663-b1a8-4eaa-9024-f2bb53ea4723
oem id:a36db54f-ea2a-e14e-b7c4-b5780e51ba3d

pfrut -l yours.cap -u -T 1 -L 4

AUTHORS
Chen Yu.